Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
messagepermissions.php File Reference

Go to the source code of this file.

## Variables
| $MessageRead = false
| $MessageEdit = false
| $MessageDelete = false
| $MessageReply = false
| $ForumPost = false
| $ForumRead = false
| $CheckMessageRead = true
| $CheckMessageDelete = true
| $CheckMessageEdit = true
| $CheckMessageReply = true
| $CheckForumPost = true
| $CheckForumRead = true
if(isset( $user) &&is_object( $user)) | else
| $CheckMessageID = false

## Variable Documentation

## ◆ $CheckForumPost

$CheckForumPost = true

Definition at line 57 of file messagepermissions.php.

## ◆ $CheckForumRead

$CheckForumRead = true

Definition at line 58 of file messagepermissions.php.

## ◆ $CheckMessageDelete

$CheckMessageDelete = true

Definition at line 54 of file messagepermissions.php.

## ◆ $CheckMessageEdit

$CheckMessageEdit = true

Definition at line 55 of file messagepermissions.php.

## ◆ $CheckMessageID

$CheckMessageID = false

Definition at line 81 of file messagepermissions.php.

## ◆ $CheckMessageRead

$CheckMessageRead = true

Definition at line 53 of file messagepermissions.php.

## ◆ $CheckMessageReply

$CheckMessageReply = true

Definition at line 56 of file messagepermissions.php.

## ◆ $ForumPost

$ForumPost = false

Definition at line 43 of file messagepermissions.php.

## ◆ $ForumRead

$ForumRead = false

Definition at line 46 of file messagepermissions.php.

## ◆ $MessageDelete

$MessageDelete = false

Definition at line 37 of file messagepermissions.php.

## ◆ $MessageEdit

$MessageEdit = false

Definition at line 34 of file messagepermissions.php.

## ◆ $MessageRead

$MessageRead = false

Definition at line 31 of file messagepermissions.php.

## ◆ $MessageReply

$MessageReply = false

Definition at line 40 of file messagepermissions.php.

## ◆ else

if ($CheckForumPost &&$ForumRead) else

Initial value:
{
$UserID = 0
$UserID
$UserID
Definition: todoedit.php:122

Definition at line 65 of file messagepermissions.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.